[p4perl] Required parameter ‘user’ not set

Tony Smith tony at smee.org
Wed Feb 21 08:01:59 PST 2007


Hi Nic,

> I am having a problem using p4perl, all operations are failing with
> Required parameter ‘user’ not set!.
>
> We are using 2006.2 (with Unicode). I have tried the 2 pre-build installers
> and building my own (using 2006.2 api and build 5787).
>
>
>
> The following simple script gives the debug output below. Strangely
> ErrorCount() is return 0 as well. Any ideas?

Can you try with utf8 as your charset? This may be a problem with Perl, P4Perl 
& utf16...

Regards,

Tony




More information about the p4perl mailing list